module Database.PostgreSQL.Opium.Oid where

import Database.PostgreSQL.LibPQ (Oid (..))

eq :: Eq a => a -> a -> Bool
eq = (==)

-- raw byte string

bytea :: Oid -> Bool
bytea = eq $ Oid 17

-- string types

text :: Oid -> Bool
text = eq $ Oid 25

character :: Oid -> Bool
character = eq $ Oid 1042

characterVarying :: Oid -> Bool
characterVarying = eq $ Oid 1043

-- integer types

-- | 16-bit integer
smallint :: Oid -> Bool
smallint = eq $ Oid 21

-- | 32-bit integer
integer :: Oid -> Bool
integer = eq $ Oid 23

-- | 64-bit integer
bigint :: Oid -> Bool
bigint = eq $ Oid 20

-- floating point types

-- | 32-bit IEEE float
real :: Oid -> Bool
real = eq $ Oid 700

-- | 64-bit IEEE float
doublePrecision :: Oid -> Bool
doublePrecision = eq $ Oid 701

-- | Boolean
boolean :: Oid -> Bool
boolean = eq $ Oid 16

-- | Single days/dates.
date :: Oid -> Bool
date = eq $ Oid 1082
